.page{
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.navbar{
    height: 10%;
    width: 100%;
}

.body{
    height: 100%;
    width: 100%;
    display: flex;
    overflow: hidden;
}

.conversationsList{
margin-top: 1%;
height: 100%;
width: 20%;
background-color: #4d79ff;
border-radius: 5px;
}

.selectedConversation{
height: 100%;
width: 75%;
margin-top: 1%;
margin-left: 20px;
}

.searchBar{
    margin-top: 3%;
    display: flex;
    width: 100%;
    height: 6%;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.inputSearch{
    width:80%;
    height: 30px;
    border: 1px solid #4d79ff;
    border-radius: 5px;
    text-align: center;
    background-color: #99ccff;
    color: white;
    font-weight: bold;
}

.inputSearch:focus{
    outline: none;
    box-shadow: 0px 0px 1px 1px #4d79ff;
}

.inputSearch::placeholder{
    color: white;
    font-weight: bold;
}

.inputIcon{
    color: #4d79ff;
    height: 30px;
    width: 30px;
    /* background-color: red; */
    margin-right: -35px;
    z-index: 1;
}

.conversations{
    height: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.conversationWrapper{
    width: 100%;
    height: 10%;
    display: flex;
    align-items: center;
    margin-top: 30px;
    margin-left: 30px;
    cursor: pointer;
}


.conversationDetails{
    margin-left: 10px;
    color: white;
}


.wholeConversation{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.conversationHeader{
    width: 100%;
    height: 10%;
    display: flex;
    flex-direction: row;
    align-items: center;
    box-shadow: 0px 5px 10px 0px gray;
}

.headerLeftSection{
    height: 100%;
    width: 15%;
    display: flex;
    font-size: 30px;
    align-items: center;
    font-weight: bold;
    justify-content: space-evenly;
}

.available{
width: 15px;
height: 15px;
border-radius: 7.5px;
background-color: lightgreen;
}

.videocam{
    width: 30px;
    height: 30px;
    margin-left: 80%;
    background-color:#4d79ff ;
    border-radius: 20px;
    padding: 5px;
    color: white;
    cursor: pointer;
}

.conversationMessages{
    width: 100%;
    height: 75%;
    display: flex;
    flex-direction: column;
    margin-top: 20px;
    overflow-y: auto;
}

.studentMessage{
    background-color: #4d79ff;
    width: fit-content;
    padding: 15px;
    align-self: flex-start;
    border-bottom-left-radius: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    color: white;
    margin: 10px;
}

.proffesorMessage{
    background-color: whitesmoke ;
    width: fit-content;
    padding: 15px;
    align-self: flex-end;
    border-bottom-right-radius: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    margin: 10px;
}

.conversationInput{
    display: flex;
    flex-direction: row;
    height: 7%;
    width: 70%;
    align-items: center;
    align-self: center;
    /* border: 2px solid #4d79ff */
    background-color: whitesmoke;
    
}

.messageInput{
    width: 95%;
    height: 100%;
    border: none;
    font-size: 20px;
    background-color: whitesmoke;
}

.messageInput:focus{
    outline: none;
}

.sendMessage{
height: 100%;
width: 5%;
color: #99ccff;
border-radius: 50%;
cursor: pointer;
}

.sendMessage:hover{
color: #4d79ff;
    
}

.cameraDialog{
    display: flex;
    flex-direction: column;
    border: 2px solid #4d79ff;
    border-radius: 5px;
    align-items: center;
    width: 450px;
    background-color: whitesmoke;
    height: 500px;
    position: absolute;
    z-index: 3;
    top:calc(50% - 200px);
    left: calc(50% - 200px);
}